Tag Archives | Düşük seviyeli

GNU Nettle 3.8.1 duyuruldu

Nesne yönelimli diller için kripto araç takımları içerisinde herhangi bir içeriğe uyacak şekilde tasarlanmış bir kriptografik kütüphane olan GNU Nettle‘in 3.8.1 sürümü, Niels Möller tarafından duyuruldu. Düşük seviyeli bir GNU Nettle’in bir küçük hata düzeltme sürümünü kullanıma sunduklarını söyleyen Möller; bunun, birkaç taşınabilirlik sorununu gideren bir hata düzeltme sürümü olduğunu ifade etti. OpenBSD için işlemci özelliklerinin çalışma zamanı algılaması uygulandığını belirten Möller; yeni sürümün tamamen kaynak ve ikili olmasının amaçlandığını söyledi. Möller; sürümün, Nettle-3.6 ile uyumlu olduğunu ifade etti. GNU Nettle 3.8.1 hakkında ayrıntılı bilgi edinmek için sürüm duyurusunu inceleyebilirsiniz.

Continue Reading →

GNU Nettle 3.8.1 edinmek için aşağıdaki linklerden yararlanabilirsiniz.

0

Magisk 25.2 duyuruldu

Düşük seviyeli bileşenlerinin çoğu C++ ile yazılan, öte yandan Rust, ham hızı, esnekliği ve C++’ın donanım işlevselliğine doğrudan eşlemenin çoğunu sağlayan ve bellek açısından güvenli bir ortam sunan Magisk‘in 25.2 sürümü duyuruldu. Yakın zamanda Magisk’in Rust’ta tam bir uygulamasını görmek beklenmiyor olsa da, Rust kodunu projenin günlük kaydı altyapısına entegre etmeye yönelik bu erken çalışmanın muhtemelen çok önemli olacağı ifade ediliyor. Magisk’in 25.0 sürümünün kararlı kanal üzerinden yayınlanmasından sonra Rust programlama dilinin Android kod tabanına adapte edilmesi için ilk adımların görüldüğü belirtilirken, Magisk 25.2 biçiminde yeni ve kararlı bir yapının kullanıma sunulduğu söyleniyor. Yeni sürümde, stub cpio kullanıldığında kurtarma için yeniden başlatma probleminin düzeltildiği belirtilirken, daha iyi veri şifreleme algılamasının sağlandığı ve tüm günlük kaydı altyapısının Rust’a taşındığı ifade ediliyor. Magisk 25.2 hakkında bilgi edinmek için sürümler duyurusunu inceleyebilirsiniz.

Continue Reading →

Magisk 25.2edinmek için aşağıdaki linkten yararlanabilirsiniz.

0

GNU Nettle 3.8 duyuruldu

Nesne yönelimli diller için kripto araç takımları içerisinde herhangi bir içeriğe uyacak şekilde tasarlanmış bir kriptografik kütüphane olan GNU Nettle‘in 3.8 sürümü, Niels Möller tarafından duyuruldu. Bu sürümün, birkaç yeni özellik içerdiğini belirten Möller; birçok performans geliştirmesi de yapılmış olduğunu söyledi. Yeni sürümün tamamen kaynak ve ikili olmasının amaçlandığını söyleyen Möller; sürümün, Nettle-3.6 ile uyumlu olduğunu ifade etti. Nicolas Mora’nın katkısıyla AES anahtar paketi (RFC 3394) sağlanan yazılımda, yeniden yazılmış ve daha hızlı x86_64 poly1305 derlemesi yer alıyor. Ayrıca, NIST ecc eğrileri için karekök işlevlerinin eklendiği söyleniyor. GNU Nettle 3.8 hakkında ayrıntılı bilgi edinmek için sürüm duyurusunu inceleyebilirsiniz.

Continue Reading →

GNU Nettle 3.8 edinmek için aşağıdaki linklerden yararlanabilirsiniz.

0

GNU Nettle 3.7.3 duyuruldu

Nesne yönelimli diller için kripto araç takımları içerisinde herhangi bir içeriğe uyacak şekilde tasarlanmış bir kriptografik kütüphane olan GNU Nettle‘in 3.7.3 sürümü, Niels Möller tarafından duyuruldu. Bunun, düşük seviye Nettle için yeni bir hata düzeltme sürümü olduğunu söyleyen Möller; sürümün ECDSA imzaları için işlevdeki ciddi bir hatayı düzeltmek üzere çıkarıldığını ifade etti. Kullanıcıların yeni sürüme terfi etmelerini önerdiklerini belirten Möller; ECDSA imza doğrulamasında hizmet reddi saldırısına neden olabilecek bir hatanın düzeltilmiş olduğunu söyledi. GNU Nettle 3.7.3 hakkında ayrıntılı bilgi edinmek için sürüm duyurusunu inceleyebilirsiniz.

Continue Reading →

GNU Nettle 3.7.3 edinmek için aşağıdaki linklerden yararlanabilirsiniz.

0

GNU Nettle 3.7.2 duyuruldu

Nesne yönelimli diller için kripto araç takımları içerisinde herhangi bir içeriğe uyacak şekilde tasarlanmış bir kriptografik kütüphane olan GNU Nettle‘in 3.7.2 sürümü, Niels Möller tarafından duyuruldu. Bunun, düşük seviye Nettle için yeni bir hata düzeltme sürümü olduğunu söyleyen Möller; sürümün ECDSA imzaları için işlevdeki ciddi bir hatayı düzeltmek üzere çıkarıldığını ifade etti. Kullanıcıların yeni sürüme terfi etmelerini önerdiklerini belirten Möller; ECDSA imza doğrulamasında hizmet reddi saldırısına neden olabilecek bir hatanın düzeltilmiş olduğunu söyledi. GNU Nettle 3.7.2 hakkında ayrıntılı bilgi edinmek için sürüm duyurusunu inceleyebilirsiniz.

Continue Reading →

GNU Nettle 3.7.2 edinmek için aşağıdaki linklerden yararlanabilirsiniz.

0

oneAPI Level Zero (Level Zero) 1.2.3 duyuruldu

Tek bir API platformundaki cihazlara göre uyarlanmış düşük seviyeli doğrudan metal arayüzleri sağlayan oneAPI Level Zero‘nun (Level Zero) 1.2.3 sürümü, Brandon Yates tarafından duyuruldu. API başlıkları, yükleyici ve doğrulama katmanının, oneAPI Level Zero Specification 1.1.2’ye dayandığını belirten Yates; level-zero’nun oneAPI Level Zero Loader ve doğrulama katmanı için bir çalışma zamanı paketi içeriyor. level-zero-devel ise oneAPI Level Zero yükleyici, doğrulama katmanı ve API başlıkları içeriyor. Yazılım Ubuntu 18.04 ve 20.04 ile test edilmiş bulunuyor. Yeni 1.1 Level Zero Specification için destek eklenen yazılıma, isteğe bağlı olarak çalıştırma zamanı sürücülerinin GNU/Linux’ta kullanılmasını sağlayan ortam değişkeni de eklenmiş bulunuyor. Yazılımın API mimarisi, altta yatan tek API platformu cihazlarının hem fiziksel hem de mantıksal soyutlamalarını ve yeteneklerini ortaya çıkarıyor. oneAPI Level Zero (Level Zero) 1.2.3 hakkında ayrıntılı bilgi edinmek için sürüm duyurusunu inceleyebilirsiniz.

Continue Reading →

oneAPI Level Zero (Level Zero) 1.2.3 edinmek için aşağıdaki linklerden yararlanabilirsiniz.

0

GNU Nettle 3.7.1 duyuruldu

Nesne yönelimli diller için kripto araç takımları içerisinde herhangi bir içeriğe uyacak şekilde tasarlanmış bir kriptografik kütüphane olan GNU Nettle‘in 3.7.1 sürümü, Niels Möller tarafından duyuruldu. Nettle-3.7’deki birkaç sorunu düzelten bu sürümün, bir hata düzeltme sürümü olduğunu söyleyen Möller; Nettle-3.6 ile uyumlu olan sürümün, PowerPC64 işlemcilerde çok daha hızlı AES ve GCM desteği ile Bcrypt desteği ve çeşitli optimizasyonlar içerdiğini belirtti. Ppc64 üzerinde GnuTLS testleri yapıldığını belirten Möller; Jasper Lievisse Adriaanse tarafından bildirilen OpenBSD ve powerpc64’teki derleme sorununun düzeltildiğini söyledi. GNU Nettle 3.7.1 hakkında ayrıntılı bilgi edinmek için sürüm duyurusunu inceleyebilirsiniz.

Continue Reading →

GNU Nettle 3.7.1 edinmek için aşağıdaki linklerden yararlanabilirsiniz.

0